## dumpsfs

#### OS/161 Reference Manual

### Name

dumpsfs - dump information about an SFS filesystem

### Synopsis

/sbin/dumpsfs raw-device
host-dumpsfs disk-image-file

### Description

dumpsfs dumps out selected information regarding the contents and structure of the SFS filesystem on the device it is passed.

Like mksfs, it is also compiled for the System/161 host OS, and in that form can access System/161's disk image files.

### Requirements

dumpsfs uses the following system calls:

- open
- read
- write
- lseek
- fstat
- close
- _exit

dumpsfs should function properly once the file system assignment is complete. You may wish to extend it in the course of doing that assignment.